Jump to content

The ultimate community for Ruby on Rails developers.


Photo

Some help needed ragarding Rails application


  • Please log in to reply
3 replies to this topic

#1 Veske

Veske

    Passenger

  • Members
  • 2 posts

Posted 14 October 2013 - 05:16 PM

Hi!

 

So this is my Rails and ruby version summary :

$ rails -v
Rails 4.0.0

$ ruby -v
ruby 2.0.0p195 (2013-05-14) [i386-mingw32]

Now, today when I tried to fire up a simple application, I encountered an error when trying to access the page..

Capture.PNG

 

I created the application this way:

rails new demo_app
rails generate scaffold User name:string email:string
rake db:migrate
rails s  - 'to make the server running'

Now this usually just works out the box and gets me a working very simple application ready. But today suddenly I am presented with the error above, while doing everything as I did before.

 

Can anyone point me what I am doing wrong maybe?



#2 Veske

Veske

    Passenger

  • Members
  • 2 posts

Posted 14 October 2013 - 07:51 PM

Fixed the problem, changed some lines in ExecJS's runtimes.rb file.

JScript = ExternalRuntime.new(
      :name        => "JScript",
      :command     => "cscript //E:jscript //Nologo",
      :runner_path => ExecJS.root + "/support/jscript_runner.js",
      :encoding    => 'UTF-8' # CScript with //U returns UTF-16LE
    )

In case anyone is going to have the same problem.



#3 Bharat Soni

Bharat Soni

    Dispatcher

  • Members
  • 53 posts
  • LocationAhmedabad

Posted 15 October 2013 - 05:10 AM

May this will remove your problem 

 

 

gem 'execjs'
gem 'therubyracer'
 
Just put it in Gemfile and bundle application..........

Fun with Ruby on Rails


#4 rayray

rayray

    Signalman

  • Members
  • 15 posts

Posted 20 October 2013 - 10:25 AM

I think this error often occurs on Windows machines...


I'm Jack's complete lack of ruby knowledge.





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users